using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using Medivators.Listener;
using Medivators.Common.Logging;
using Medivators.SerialDevices;

namespace ListenerHelperTest
{
    public partial class ListenerHelperTest : Form
    {
        private ListenerServiceHelper test;
        private ILogProvider pLog = null;
        private ILogProvider sLog = null;
        private SerialDeviceCollection devices = null;

        public ListenerHelperTest()
        {
            InitializeComponent();
            test = new ListenerServiceHelper();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            test.Start(ref pLog, ref sLog, ref devices);
        }

        private void button2_Click(object sender, EventArgs e)
        {
            test.Continue();
        }

        private void button3_Click(object sender, EventArgs e)
        {
            test.Pause();
        }

        private void button4_Click(object sender, EventArgs e)
        {
            test.Stop(ref devices);
        }
    }
}